function isHypeIDE() {
	var isHypeScratch = window.location.href.indexOf("/Hype/Scratch/HypeScratch.") != -1;
	var hasHypeEditorElm = !!document.getElementById('HypeSceneEditor');
	return isHypeScratch && hasHypeEditorElm;
}


function initSceneVue(hypeDocument, element, event){
	switch(hypeDocument.currentSceneName()) {
		case "First Scene":
		default:
			requestAnimationFrame(function(){
				Vue.component('ColoredBox', {
					template: "<div class=\"box\"><button v-on:click=\"toggleMe()\">Toggle Now</button><br><button v-on:click=\"clicks++\">Clickety Click</button><br>{{ clicks }}</div>",
					data: function() {
						return {
							clicks: 0
						}
					},
					methods: {
						toggleMe() {
							this.$root.toggleBox()
						}
					}
				})
				const vueApp = new Vue({
					el: '#'+element.id,
					data: {
						test: 'Hype',
						display: 'redbox' 
					},
					methods: {
						toggleBox() {
							this.display == 'redbox' ? this.display = 'greenbox' : this.display = 'redbox'
						}
					}
				});
			});
			break;

	}
}

/* setup callbacks */
if("HYPE_eventListeners" in window === false) { window.HYPE_eventListeners = Array();}
window.HYPE_eventListeners.push({"type":"HypeScenePrepareForDisplay", "callback": initSceneVue});

window.addEventListener("DOMContentLoaded", function(event) {
	if (isHypeIDE()) {
		var HypeSceneEditorElm = document.getElementById('HypeSceneEditor');
		var hypeDocument =  {
			currentSceneName : function(){
				return ''
			}
		}
		initSceneVue(hypeDocument, HypeSceneEditorElm, null);
	}
});

